Subject: Re: [PATCH] Add .set_antenna callback in ath6kl driver to remove wireless core warns

From: Ben Greear <[email-masked]>
Date: Wed, 8 Jun 2016 08:51:24 -0700

On 06/08/2016 08:46 AM, Prasun Maiti wrote:
> Please tell me if I mention that this code is untested in commit log,
> then could you check the code kindly and also help me to fix this type
> of warning?

In my experience, ath6kl has very fragile and buggy firmware, so I would
not add any new API to it unless you have tested this thoroughly.

Thanks,
Ben

>
> On Wed, Jun 8, 2016 at 9:00 PM, Valo, Kalle <[email-masked]> wrote:
>> Prasun Maiti <[email-masked]> writes:
>>
>>> I am not sure it works fine. Like ath6kl driver send another cmd to
>>> firmare, I have just filled up the cmd buffer with "tx_ant", and
>>> "rx_ant" values, then use "ath6kl_wmi_cmd_send()" api to send the cmd
>>> buffer to firmware. I have resend the patch as there are some errors
>>> in the previous patch. Let me know if any modifications are needed?
>>
>> I don't take untested code. In some special cases it might be ok to send
>> untested code but even then it needs to be clearly stated in the commit
>> log that it's untested.
>>
>> Please resend once you have tested this, I'm dropping this now.
>>
>> --
>> Kalle Valo
>
>
>

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com